package net.pijcke.mazes

import net.pijcke.mazes.generation.*
import net.pijcke.mazes.rectangular.*

fun main() {
    val grid = CellRectangularGrid(20, 20)
//    val grid = GraphRectangularGrid(20, 20)
    val walker = RectangularGridWalker()

    BinaryTree.on(grid, walker)
//    SideWinder.on(grid, walker)

    val printer = RectangularGridPrinter(grid)
    printer.print()
}
