package net.pijcke.mazes.grid

interface Grid<P: Position<P>> {

    fun getPositions(): Collection<P>

    fun isWithinBounds(position: P): Boolean

    fun link(position1: P, position2: P)

    fun linked(position1: P, position2: P): Boolean

}
