package net.pijcke.mazes.grid.cell

import net.pijcke.mazes.grid.Position

class Cell<P: Position<P>>(val position: P) {

    private val links = mutableListOf<Cell<P>>()

    fun link(cell: Cell<P>) = links.add(cell)

    fun isLinkedTo(position: P): Boolean = links.any { it.position == position }

}