package net.pijcke.mazes.rectangular

import net.pijcke.mazes.grid.Grid

interface RectangularGrid: Grid<CartesianPosition> {

    val width: Int

    val height: Int

    override fun isWithinBounds(position: CartesianPosition) =
        position.x in 0 ..< width && position.y in 0 ..< height

}
