package net.pijcke.mazes.rectangular

import net.pijcke.mazes.grid.Grid
import net.pijcke.mazes.grid.GridWalker

class RectangularGridWalker : GridWalker<CartesianPosition> {

    override fun origin(grid: Grid<CartesianPosition>) = CartesianPosition(0, 0)

    override fun unitVectors(): List<(CartesianPosition) -> CartesianPosition> =
        listOf({ it.north() }, { it.east() })

}
