package net.pijcke.mazes.grid.graph

import net.pijcke.mazes.grid.Position

data class Edge<P: Position<P>>(val position1: P, val position2: P): Comparable<Edge<P>> {

    override fun compareTo(other: Edge<P>): Int {
        return position1.compareTo(other.position1)
            .takeIf { it != 0 }
            ?: position2.compareTo(other.position2)
    }

}