package net.pijcke.mazes.binarytree

import net.pijcke.mazes.grid.GridWalker
import net.pijcke.mazes.rectangular.CellRectangularGrid
import net.pijcke.mazes.rectangular.RectangularGridWalker
import org.junit.jupiter.api.Assertions
import org.junit.jupiter.api.Tag
import org.junit.jupiter.api.Test

@Tag("unit")
class GridWalkerTests {

    @Test
    fun walksRectangularGrid() {
        val grid = CellRectangularGrid(2, 3)
        val walker = RectangularGridWalker()
        val sequence = walker.makeSequence(grid)

        Assertions.assertEquals(6, sequence.count())
    }

}
